<div style="margin-top: 15px" ng-controller="FilterInvoiceSearchCtrl"
     class="listViewTopMenuDiv noprint">
    <div class="listViewActionsDiv row-fluid">

        <form name="form"
              ng-submit="apply(selectedClientModel, selectedDspModel,selectedStatusModel,invoiceCode, selectedPeriodFrom, selectedPeriodTo)">
            <table
                    class="table table-bordered blockContainer showInlineTable equalSplit">
                <thead>
                <tr>
                    <th class="blockHeader" colspan="8" ng-show="ctrl.hideForm"><span
                            ng-click="ctrl.hideForm=false" class="glyphicon glyphicon-expand"></span>&nbsp;Parametri
                        Ricerca
                    </th>
                    <th class="blockHeader" colspan="8" ng-hide="ctrl.hideForm"><span
                            ng-click="ctrl.hideForm=true"
                            class="glyphicon glyphicon-collapse-down"></span>&nbsp;Parametri
                        Ricerca
                    </th>
                </tr>
                </thead>
                <tbody ng-hide="ctrl.hideForm">
                <tr>

                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>CLIENTE
                    </label></td>

                    <td class="fieldValue medium">
                        <div class="row-fluid">
								<span class="span10">
									<select name="clientname" id="clientname"
                                            ng-model="selectedClientModel"
                                            ng-options="item.companyName for item in ctrl.clientList track by item.idAnagClient"
                                            ng-change="filterDsp(selectedClientModel)"
                                            required>
								</select>
								</span>
                        </div>
                        <!--<div class="row-fluid">-->
                        <!--<span class="span10">-->
                        <!--<div class="input-large">-->
                        <!--<div ng-dropdown-multiselect="" options="clientSelectionList"-->
                        <!--selected-model="selectedClientModel" checkboxes="false"-->
                        <!--extra-settings="multiselectSettings"-->
                        <!--events="{onSelectionChanged: filterDsp(selectedClientModel)}"></div>-->
                        <!--</div>-->
                        <!--</span>-->
                        <!--</div>-->
                    </td>
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>DSP
                    </label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
							<span class="span10">
								<div class="input-large">
									<div ng-dropdown-multiselect="" options="dspSelectionList"
                                         selected-model="selectedDspModel" checkboxes="false"
                                         extra-settings="multiselectSettings"></div>
								</div>
							</span>
                        </div>
                    </td>
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>STATO
                    </label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
							<span class="span10">
								<div class="input-large">
									<div ng-dropdown-multiselect="" options="statusSelectionList"
                                         selected-model="selectedStatusModel" checkboxes="false"
                                         extra-settings="multiselectSettings"></div>
								</div>
							</span>
                        </div>
                    </td>
                </tr>
                <tr>

                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>DATA
                        CREAZIONE DA
                    </label></td>
                    <td class="fieldValue medium" nowrap><input type="text"
                                                                class="span9 input-small datepickerFrom"
                                                                style="width: 180px"
                                                                ng-model="selectedPeriodFrom">
                        <script
                                type="text/javascript">
                            $(".datepickerFrom").datepicker({
                                format: 'yyyy-mm-dd',
                                language: 'it',
                                autoclose: true,
                                todayHighlight: true
                            });
                        </script>
                        <span class="glyphicon glyphicon-erase" style="margin-top: 6px;"
                              ng-click="selectedPeriodFrom=undefined;"></span></td>

                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>DATA
                        CREAZIONE A
                    </label></td>
                    <td class="fieldValue medium"><input type="text"
                                                         class="span9 input-small datepickerTo" style="width: 180px"
                                                         ng-model="selectedPeriodTo">
                        <script
                                type="text/javascript">
                            $(".datepickerTo").datepicker({
                                format: 'yyyy-mm-dd',
                                language: 'it',
                                autoclose: true,
                                todayHighlight: true
                            });
                        </script>
                        <span class="glyphicon glyphicon-erase" style="margin-top: 6px;"
                              ng-click="selectedPeriodTo=undefined;"></span></td>

                    <!--<td class="fieldLabel medium" nowrap colspan="4"></td>-->
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>CODICE
                    </label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
							<span class="span10"> <input type="number"
                                                         ng-model="invoiceCode">

							</span>
                        </div>
                    </td>


                </tr>

                <tr>
                    <td class="fieldLabel medium" style="text-align: right" nowrap
                        colspan="8">
                        <button ng-disabled="form.$invalid" class="btn addButton" type="submit">
                            <span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Applica</strong>
                        </button>
                    </td>
                </tr>
                </tbody>
            </table>
        </form>
    </div>
</div>
